body {
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
}

html,
body {
  overflow-x: hidden;
}
.container {
  max-width: 1140px;
  margin: 0 auto;
  padding: 0 15px;
}
nav.navbar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1030;
}

.navbar-lable {
  font-family: "Lora", serif;
  font-optical-sizing: auto;
  color: #234E32;
}

.navbar-lable h1 {
  font-family: "Lora", serif;
  font-size: calc(1.3rem + 1.5vw);
  color: #234E32;
}
.navbar img {
  max-height: 70px;
}

.navbar-nav {
  --bs-nav-link-color: var(--bs-navbar-color);
  --bs-nav-link-hover-color: #c9a75f;
}

.lang-flag {
  width: 16px;
  margin-right: 4px;
}

.carousel-item {
  height: 100vh;
  background-size: cover;
  background-position: center;
  position: relative;
}

.carousel-caption {
  position: absolute;
  right: 15%;
  bottom: 45vh;
  left: 15%;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  color: #ffffff;
  text-align: center;
  opacity: 0;
  transition: opacity 1.2s ease;
}

.carousel-text-caption {
  font-size: calc(2rem + 1.5vw);
}

.carousel-item.active .carousel-caption {
  opacity: 1;
}

.contact-bar {
  background-color: #234E32;
  padding: 5px;
}

/* .company-animation {
  position: relative;
  height: 200px;
  margin-top: 40px;
  overflow: hidden;
} */

/* .company-logo {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-width: 140px;
  opacity: 0;
  animation: logoFadeMove 2s forwards;
} */

/* .company-name {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 7rem;
  font-family: "Lora", serif;
  color: #234E32;
  white-space: nowrap;
  opacity: 0;
  animation: nameFadeIn 2s forwards;
  animation-delay: 2.5s;
} */

/* Анимация логотипа: появление и смещение влево */
/* @keyframes logoFadeMove {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.5);
  }

  50% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
  }

  100% {
    transform: translate(-450%, -50%) scale(0.8);
    opacity: 1;
  }
} */

/* Анимация названия: постепенное появление */
/* @keyframes nameFadeIn {
  0% {
    opacity: 0;
    letter-spacing: 0.3em;
  }

  100% {
    opacity: 1;
    letter-spacing: normal;
  }
} */

/* @media (max-width: 992px) {
  .company-name {
    font-size: 4.5rem;
  }
} */

/* @media (max-width: 768px) {
  .company-logo {
    max-width: 80px;
    transform: translate(-50%, -70%) scale(0.7);
  }

  .company-name {
    font-size: 3.5rem;
  }

  .company-animation {
    height: 140px;
  }
} */

/* @media(max-width:576px) {
  .company-name {
    font-size: 2rem;
  }
} */

/* .company-logo,
.company-name {
  animation-play-state: paused;
} */

.qualification-container {
  display: flex;
  flex-wrap: wrap;
  gap: 2.5rem;
  justify-content: center;
  padding: 40px 0px;
}

.qualification-card {
  position: relative;
  max-width: 350px;
  padding: 30px 20px 20px 20px;
  background: #fff;
  border-radius: 16px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  border: 1px solid #fefefe;
}

.icon-box {
  position: absolute;
  top: -25px;
  left: -25px;
  width: 74px;
  height: 74px;
  background-color: #c9a75f;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.30);
}

.icon-box img {
  height: 42px;
}

.text-box {
  padding-left: 0;
}

.text-box h5 {
  font-weight: 700;
  margin-bottom: 12px;
  color: #234E32;
}

.text-box p {
  margin: 0;
  font-size: 1rem;
  color: #234E32;
}

@media (max-width: 768px) {
  .qualification-card {
    padding: 60px 15px 15px 15px;
  }

  .icon-box {
    top: -32px;
    left: 50%;
    transform: translateX(-50%);
  }

  .text-box {
    text-align: center;
  }
}

.qualification-card.visible {
  opacity: 1;
  transform: translateY(0) translateX(0);
}

@media (max-width: 992px) {
  .qualification-card {
    flex: 1 1 45%;
    max-width: 45%;
  }
}

@media (max-width: 576px) {
  .qualification-card {
    flex: 1 1 100%;
    max-width: 100%;
  }
}

.products-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 20px 0px;
}

.product-card {
  /* position: relative; */
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  max-width: 300px;
  padding: 10px 20px 20px 20px;
  background: #fff;
  border-radius: 16px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  border: 1px solid #fefefe;
}

.btn-prd {
  margin-bottom: 20px;
}

.product-card img {
  height: 140px;
  object-fit: cover;
  border-radius: 10px;
  margin-bottom: 15px;
}

.name-prd {
  font-weight: 700;
    margin-bottom: 12px;
    color: #234E32;
    font-size: 1.2rem;
}

.product-card p {
  font-weight: 500;
  margin-top: 10px;
}
.products-container-btn{
  background-color: #234E32;
  color: #c9a75f;
  border: none;
  border-radius: 10px;
  padding: 12px 24px;
  font-size: 1rem;
  font-weight: 600;
  transition: all 0.3s ease;
  margin-top: 10px;
  
}
.products-container-btn:hover {
  background-color: #c9a75f;
  color: #fefefe;
  transform: scale(1.1);
}
@media (max-width: 992px) {
  .product-card {
    flex: 1 1 45%;
    max-width: 45%;
  }
}

@media (max-width: 576px) {
  .product-card {
    flex: 1 1 100%;
    max-width: 100%;
  }
}

@media (min-width: 500px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 2500px;
  }
}

@media (min-width: 300px) {
  .d-md-block {
    display: block !important;
  }
}

@media (min-width: 992px) {
  .navbar-expand-lg .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
    flex-direction: row;
    justify-content: flex-end !important;
  }
}
.carousel-caption h1,
.carousel-caption p {
  opacity: 0;
  animation: fadeInUp 1s ease forwards;
}

.carousel-item.active .carousel-caption h1 {
  animation-delay: 0.5s;
}

.carousel-item.active .carousel-caption p {
  animation-delay: 1.5s;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.btn-lg {
  font-size: calc(1rem + 0.5vw);
  font-weight: 500;
  padding: calc(0.5rem + 0.5vw) calc(1.5rem + 0.5vw);
  border: 2px solid #ffffff00;
  border-radius: 10px;
  padding: 20px;
  background-color: #234e32;

}

.btn:hover {
  background-color: #c9a75f;
  transform: scale(1.05);
  border: 2px solid #ffffff00;
}

.contactBox {
  padding: 40px 20px 40px 20px;
}
/* Стиль блока доставки */
#delivery {
  padding: 48px 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #fff;
  text-align: center;
}

#delivery h1 {
  text-align: center;
  margin-bottom: 8px;
}

.delivery-content {
  display: flex;
  justify-content: center;
  max-width: 1200px;
  width: 100%;
  gap: 40px;
  flex-wrap: wrap;
  align-items: flex-start
}

.delivery-text {
  flex: 1;
  min-width: 280px;
  text-align: left;
}

.delivery-text p {
  font-size: 1rem;
  /* color: #234E32; */
  margin-bottom: 20px;
}

.delivery-text .btn {
  margin-top: 20px;
}

.circle-diagram {
  flex: 1;
  min-width: 180px;
  max-width: 300px;
  text-align: center;
}

.circle-diagram img {
  width: 100%;
  height: auto;
  max-width: 100%;
  object-fit: contain;
  display: block;
  margin: 0 auto;
}

/* Адаптация для мобильных */
@media (max-width: 768px) {
  .delivery-content {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .delivery-text {
    text-align: center;
  }

  .delivery-text .btn {
    margin-top: 30px;
  }
}

.content-wrapper {
  width: 100%;
  max-width: 80%;
  margin: 0 auto;
}

.content-wrapper .delivery-content {
  max-width: 80%;
  margin: 0 auto;
}
@media (max-width: 991px) {
  .content-wrapper {
    max-width: 100%;
    padding: 0 1rem;
  }
}

.ymaps-2-1-79-controls__control {
  display: none !important;
}
